	subroutine simple_dfir2d( nfx,nfy, ngx, ngy, f, g, h)
	double precision f(0:(nfx-1),0:(nfy-1))
	double precision g(0:(ngx-1),0:(ngy-1))
	double precision h(0:(nfx+ngx-2),0:(nfy+ngy-2))
	integer nfx, nfy, ngx, ngy

	integer i, j, jg, ig, jf, if

	do j = 0, nfy+ngy-2
	    do i = 0, nfx+ngx-2
		h(i,j) = 0.0
	    end do
	end do

	do jg = 0, ngy-1
	    do ig = 0, ngx-1 
		do jf = 0, nfy-1
		    do if = 0, nfx-1
			h(if+ig,jf+jg)=h(if+ig,jf+jg)+f(if,jf)*g(ig,jg)
		    end do
		end do
	    end do
	end do

	return
	end
